Alokai

SapccApiGetProductsRequest

Request parameters for getProducts operation in SapccApi. SapccApiGetProductsRequest

interface SapccApiGetProductsRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly query?: string;
	readonly searchQueryContext?: string;
	readonly sort?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetProducts
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetProducts
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetProducts
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetProducts
queryOptionalstringFormatted query string. It contains query criteria like free text search, facet. The format is <freeTextSearch>:<sort>:<facetKey1>:<facetValue1>:...:<facetKeyN>:<facetValueN>. {string} SapccApiGetProducts
searchQueryContextOptionalstringName of the search query template to be used in the search query. Examples: DEFAULT, SUGGESTIONS. {string} SapccApiGetProducts
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetProducts

On this page